Return the encryptedFieldsMap auto encryption option for the Manager

- « MongoDB\Driver\Manager::executeWriteCommand

- MongoDB\Driver\Manager::getReadConcern »

- PHP Manual
- MongoDB\Driver\Manager
- Return the encryptedFieldsMap auto encryption option for the Manager

# MongoDB\Driver\Manager::getEncryptedFieldsMap

(mongodb >=1.14.0)

MongoDB\Driver\Manager::getEncryptedFieldsMap — Return the encryptedFieldsMap auto encryption option for the Manager

### Description

final public MongoDB\Driver\Manager::getEncryptedFieldsMap(): array|object|null

Returns the `encryptedFieldsMap` auto encryption option for the Manager, if specified.

### Parameters

This function has no parameters.

### Return Values

The `encryptedFieldsMap` auto encryption option for the Manager, or `null` if it was not specified.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.

### See Also

- MongoDB\Driver\Manager::__construct() - Create new MongoDB Manager